> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# sentry-issues

> Sentry Issues - search, retrieve, and update issues and events; access Seer AI analysis, tag details, and source map debugging

**Server path:** `/sentry-issues` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                          | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| --------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [`sentry_issues_create_a_new_saved_query`](#sentry_issues_create_a_new_saved_query)                                                           | Create a new saved query for the given organization.                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| [`sentry_issues_debug_issues_related_to_source_maps_for_a_given_event`](#sentry_issues_debug_issues_related_to_source_maps_for_a_given_event) | Return a list of source map errors for a given event.                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [`sentry_issues_delete_an_organization_s_discover_saved_query`](#sentry_issues_delete_an_organization_s_discover_saved_query)                 | Delete a saved query.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [`sentry_issues_edit_an_organization_s_discover_saved_query`](#sentry_issues_edit_an_organization_s_discover_saved_query)                     | Modify a saved query.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [`sentry_issues_list_a_project_s_error_events`](#sentry_issues_list_a_project_s_error_events)                                                 | Return a list of events bound to a project.                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [`sentry_issues_list_a_tag_s_values_for_an_issue`](#sentry_issues_list_a_tag_s_values_for_an_issue)                                           | Returns a list of values associated with this key for an issue. Returns at most 1000 values when paginated.                                                                                                                                                                                                                                                                                                                                                                                              |
| [`sentry_issues_list_an_issue_s_events`](#sentry_issues_list_an_issue_s_events)                                                               | Return a list of error events bound to an issue                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [`sentry_issues_list_an_issue_s_hashes`](#sentry_issues_list_an_issue_s_hashes)                                                               | This endpoint lists an issue's hashes, which are the generated checksums used to aggregate individual events.                                                                                                                                                                                                                                                                                                                                                                                            |
| [`sentry_issues_list_an_organization_s_discover_saved_queries`](#sentry_issues_list_an_organization_s_discover_saved_queries)                 | Retrieve a list of saved queries that are associated with the given organization.                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [`sentry_issues_list_an_organization_s_issues`](#sentry_issues_list_an_organization_s_issues)                                                 | Return a list of issues for an organization. All parameters are supplied as query string parameters. A default query of `is:unresolved` is applied. To return all results, use an empty query value (i.e. \`\`?query=\`).                                                                                                                                                                                                                                                                                |
| [`sentry_issues_list_seer_ai_models`](#sentry_issues_list_seer_ai_models)                                                                     | Get list of actively used LLM model names from Seer.  Returns the list of AI models that are currently used in production in Seer. This endpoint does not require authentication and can be used to discover which models Seer uses.  Requests to this endpoint should use the region-specific domain eg. `us.sentry.io` or `de.sentry.io`                                                                                                                                                               |
| [`sentry_issues_query_explore_events_in_table_format`](#sentry_issues_query_explore_events_in_table_format)                                   | Retrieves explore data for a given organization.  **Note**: This endpoint is intended to get a table of results, and is not for doing a full export of data sent to Sentry.  The `field` query parameter determines what fields will be selected in the `data` and `meta` keys of the endpoint response. - The `data` key contains a list of results row by row that match the `query` made - The `meta` key contains information about the response, including the unit or type of the fields requested |
| [`sentry_issues_query_explore_events_in_timeseries_format`](#sentry_issues_query_explore_events_in_timeseries_format)                         | Retrieves explore data for a given organization as a timeseries.  This endpoint can return timeseries for either 1 or many axis, and results grouped to the top events depending on the parameters passed                                                                                                                                                                                                                                                                                                |
| [`sentry_issues_remove_an_issue`](#sentry_issues_remove_an_issue)                                                                             | Removes an individual issue.                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [`sentry_issues_resolve_a_short_id`](#sentry_issues_resolve_a_short_id)                                                                       | Resolve a short ID to the project slug and group details.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| [`sentry_issues_resolve_an_event_id`](#sentry_issues_resolve_an_event_id)                                                                     | This resolves an event ID to the project slug and internal issue ID and internal event ID.                                                                                                                                                                                                                                                                                                                                                                                                               |
| [`sentry_issues_retrieve_an_event_for_a_project`](#sentry_issues_retrieve_an_event_for_a_project)                                             | Return details on an individual event.                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`sentry_issues_retrieve_an_issue`](#sentry_issues_retrieve_an_issue)                                                                         | Return details on an individual issue. This returns the basic stats for the issue (title, last seen, first seen), some overall numbers (number of comments, user reports) as well as the summarized event data.                                                                                                                                                                                                                                                                                          |
| [`sentry_issues_retrieve_an_issue_event`](#sentry_issues_retrieve_an_issue_event)                                                             | Retrieves the details of an issue event.                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [`sentry_issues_retrieve_an_organization_s_discover_saved_query`](#sentry_issues_retrieve_an_organization_s_discover_saved_query)             | Retrieve a saved query.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| [`sentry_issues_retrieve_seer_issue_fix_state`](#sentry_issues_retrieve_seer_issue_fix_state)                                                 | Retrieve the current detailed state of an issue fix process for a specific issue including:  - Current status - Steps performed and their outcomes - Repository information and permissions - Root Cause Analysis - Proposed Solution - Generated code changes  This endpoint although documented is still experimental and the payload may change in the future.                                                                                                                                        |
| [`sentry_issues_retrieve_tag_details`](#sentry_issues_retrieve_tag_details)                                                                   | Return a list of values associated with this key for an issue. When paginated can return at most 1000 values.                                                                                                                                                                                                                                                                                                                                                                                            |
| [`sentry_issues_start_seer_issue_fix`](#sentry_issues_start_seer_issue_fix)                                                                   | Trigger a Seer Issue Fix run for a specific issue.  The issue fix process can: - Identify the root cause of the issue - Propose a solution - Generate code changes - Create a pull request with the fix  The process runs asynchronously, and you can get the state using the GET endpoint.                                                                                                                                                                                                              |
| [`sentry_issues_update_an_issue`](#sentry_issues_update_an_issue)                                                                             | Updates an individual issue's attributes.  Only the attributes submitted are modified.                                                                                                                                                                                                                                                                                                                                                                                                                   |

***

## sentry\_issues\_create\_a\_new\_saved\_query

Create a new saved query for the given organization.

**Parameters:**

| Parameter                 | Type       | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |                                                                                                                     |
| ------------------------- | ---------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string     | Yes      | —       | The ID or slug of the organization the resource belongs to.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |                                                                                                                     |
| `display`                 | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Visualization type for saved query chart. Allowed values are: - default - previous - top5 - daily - dailytop5 - bar |
| `end`                     | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | The saved end time for this saved query.                                                                            |
| `environment`             | string\[]  | No       | —       | The name of environments to filter by.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |                                                                                                                     |
| `fields`                  | string\[]  | No       | —       | The fields, functions, or equations that can be requested for the query. At most 20 fields can be selected per request. Each field can be one of the following types: - A built-in key field. See possible fields in the properties table, under any field that is an event property.     - example: `field=transaction` - A tag. Tags should use the `tag[]` formatting to avoid ambiguity with any fields     - example: `field=tag[isEnterprise]` - A function which will be in the format of `function_name(parameters,...)`. See possible functions in the query builder documentation.     - when a function is included, Discover will group by any tags or fields     - example: `field=count_if(transaction.duration,greater,300)` - An equation when prefixed with `equation\|`. Read more about equations here.     - example: `field=equation\|count_if(transaction.duration,greater,300) / count() * 100` |                                                                                                                     |
| `interval`                | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Resolution of the time series.                                                                                      |
| `name`                    | string     | Yes      | —       | The user-defined saved query name.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |                                                                                                                     |
| `orderby`                 | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | How to order the query results. Must be something in the `field` list, excluding equations.                         |
| `projects`                | integer\[] | No       | —       | The saved projects filter for this query.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |                                                                                                                     |
| `query`                   | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Filters results by using query syntax.                                                                              |
| `queryDataset`            | string     | No       | —       | The dataset you would like to query. Note: `discover` is a **deprecated** value. The allowed values are: `error-events`, `transaction-like`  \* `discover` \* `error-events` \* `transaction-like`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |                                                                                                                     |
| `range`                   | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | The saved time range period for this saved query.                                                                   |
| `start`                   | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | The saved start time for this saved query.                                                                          |
| `topEvents`               | integer    | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Number of top events' timeseries to be visualized.                                                                  |
| `yAxis`                   | string\[]  | No       | —       | Aggregate functions to be plotted on the chart.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |                                                                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "display": {
        "type": [
          "string",
          "null"
        ],
        "description": "Visualization type for saved query chart. Allowed values are: - default - previous - top5 - daily - dailytop5 - bar"
      },
      "end": {
        "type": [
          "string",
          "null"
        ],
        "description": "The saved end time for this saved query."
      },
      "environment": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The name of environments to filter by."
      },
      "fields": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The fields, functions, or equations that can be requested for the query. At most 20 fields can be selected per request. Each field can be one of the following types: - A built-in key field. See possible fields in the [properties table](/product/sentry-basics/search/searchable-properties/#properties-table), under any field that is an event property.     - example: `field=transaction` - A tag. Tags should use the `tag[]` formatting to avoid ambiguity with any fields     - example: `field=tag[isEnterprise]` - A function which will be in the format of `function_name(parameters,...)`. See possible functions in the [query builder documentation](/product/discover-queries/query-builder/#stacking-functions).     - when a function is included, Discover will group by any tags or fields     - example: `field=count_if(transaction.duration,greater,300)` - An equation when prefixed with `equation|`. Read more about [equations here](/product/discover-queries/query-builder/query-equations/).     - example: `field=equation|count_if(transaction.duration,greater,300) / count() * 100`"
      },
      "interval": {
        "type": [
          "string",
          "null"
        ],
        "description": "Resolution of the time series."
      },
      "name": {
        "type": "string",
        "description": "The user-defined saved query name."
      },
      "orderby": {
        "type": [
          "string",
          "null"
        ],
        "description": "How to order the query results. Must be something in the `field` list, excluding equations."
      },
      "projects": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "The saved projects filter for this query."
      },
      "query": {
        "type": [
          "string",
          "null"
        ],
        "description": "Filters results by using [query syntax](/product/sentry-basics/search/)."
      },
      "queryDataset": {
        "type": "string",
        "description": "The dataset you would like to query. Note: `discover` is a **deprecated** value. The allowed values are: `error-events`, `transaction-like`  * `discover` * `error-events` * `transaction-like`",
        "enum": [
          "discover",
          "error-events",
          "transaction-like"
        ]
      },
      "range": {
        "type": [
          "string",
          "null"
        ],
        "description": "The saved time range period for this saved query."
      },
      "start": {
        "type": [
          "string",
          "null"
        ],
        "description": "The saved start time for this saved query."
      },
      "topEvents": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Number of top events' timeseries to be visualized."
      },
      "yAxis": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Aggregate functions to be plotted on the chart."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "name"
    ]
  }
  ```
</Expandable>

***

## sentry\_issues\_debug\_issues\_related\_to\_source\_maps\_for\_a\_given\_event

Return a list of source map errors for a given event.

**Parameters:**

| Parameter                 | Type    | Required | Default | Description                                                           |
| ------------------------- | ------- | -------- | ------- | --------------------------------------------------------------------- |
| `organization_id_or_slug` | string  | Yes      | —       | The ID or slug of the organization the resource belongs to.           |
| `project_id_or_slug`      | string  | Yes      | —       | The ID or slug of the project the resource belongs to.                |
| `event_id`                | string  | Yes      | —       | The ID of the event.                                                  |
| `frame_idx`               | integer | Yes      | —       | Index of the frame that should be used for source map resolution.     |
| `exception_idx`           | integer | Yes      | —       | Index of the exception that should be used for source map resolution. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "project_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the project the resource belongs to."
      },
      "event_id": {
        "type": "string",
        "description": "The ID of the event."
      },
      "frame_idx": {
        "type": "integer",
        "description": "Index of the frame that should be used for source map resolution."
      },
      "exception_idx": {
        "type": "integer",
        "description": "Index of the exception that should be used for source map resolution."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "project_id_or_slug",
      "event_id",
      "frame_idx",
      "exception_idx"
    ]
  }
  ```
</Expandable>

***

## sentry\_issues\_delete\_an\_organization\_s\_discover\_saved\_query

Delete a saved query.

**Parameters:**

| Parameter                 | Type    | Required | Default | Description                                                 |
| ------------------------- | ------- | -------- | ------- | ----------------------------------------------------------- |
| `organization_id_or_slug` | string  | Yes      | —       | The ID or slug of the organization the resource belongs to. |
| `query_id`                | integer | Yes      | —       | The ID of the Discover query you'd like to retrieve.        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "query_id": {
        "type": "integer",
        "description": "The ID of the Discover query you'd like to retrieve."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "query_id"
    ]
  }
  ```
</Expandable>

***

## sentry\_issues\_edit\_an\_organization\_s\_discover\_saved\_query

Modify a saved query.

**Parameters:**

| Parameter                 | Type       | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |                                                                                                                     |
| ------------------------- | ---------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string     | Yes      | —       | The ID or slug of the organization the resource belongs to.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |                                                                                                                     |
| `query_id`                | integer    | Yes      | —       | The ID of the Discover query you'd like to retrieve.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |                                                                                                                     |
| `display`                 | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Visualization type for saved query chart. Allowed values are: - default - previous - top5 - daily - dailytop5 - bar |
| `end`                     | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | The saved end time for this saved query.                                                                            |
| `environment`             | string\[]  | No       | —       | The name of environments to filter by.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |                                                                                                                     |
| `fields`                  | string\[]  | No       | —       | The fields, functions, or equations that can be requested for the query. At most 20 fields can be selected per request. Each field can be one of the following types: - A built-in key field. See possible fields in the properties table, under any field that is an event property.     - example: `field=transaction` - A tag. Tags should use the `tag[]` formatting to avoid ambiguity with any fields     - example: `field=tag[isEnterprise]` - A function which will be in the format of `function_name(parameters,...)`. See possible functions in the query builder documentation.     - when a function is included, Discover will group by any tags or fields     - example: `field=count_if(transaction.duration,greater,300)` - An equation when prefixed with `equation\|`. Read more about equations here.     - example: `field=equation\|count_if(transaction.duration,greater,300) / count() * 100` |                                                                                                                     |
| `interval`                | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Resolution of the time series.                                                                                      |
| `name`                    | string     | Yes      | —       | The user-defined saved query name.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |                                                                                                                     |
| `orderby`                 | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | How to order the query results. Must be something in the `field` list, excluding equations.                         |
| `projects`                | integer\[] | No       | —       | The saved projects filter for this query.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |                                                                                                                     |
| `query`                   | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Filters results by using query syntax.                                                                              |
| `queryDataset`            | string     | No       | —       | The dataset you would like to query. Note: `discover` is a **deprecated** value. The allowed values are: `error-events`, `transaction-like`  \* `discover` \* `error-events` \* `transaction-like`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |                                                                                                                     |
| `range`                   | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | The saved time range period for this saved query.                                                                   |
| `start`                   | string     | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | The saved start time for this saved query.                                                                          |
| `topEvents`               | integer    | null     | No      | —                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Number of top events' timeseries to be visualized.                                                                  |
| `yAxis`                   | string\[]  | No       | —       | Aggregate functions to be plotted on the chart.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |                                                                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "query_id": {
        "type": "integer",
        "description": "The ID of the Discover query you'd like to retrieve."
      },
      "display": {
        "type": [
          "string",
          "null"
        ],
        "description": "Visualization type for saved query chart. Allowed values are: - default - previous - top5 - daily - dailytop5 - bar"
      },
      "end": {
        "type": [
          "string",
          "null"
        ],
        "description": "The saved end time for this saved query."
      },
      "environment": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The name of environments to filter by."
      },
      "fields": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The fields, functions, or equations that can be requested for the query. At most 20 fields can be selected per request. Each field can be one of the following types: - A built-in key field. See possible fields in the [properties table](/product/sentry-basics/search/searchable-properties/#properties-table), under any field that is an event property.     - example: `field=transaction` - A tag. Tags should use the `tag[]` formatting to avoid ambiguity with any fields     - example: `field=tag[isEnterprise]` - A function which will be in the format of `function_name(parameters,...)`. See possible functions in the [query builder documentation](/product/discover-queries/query-builder/#stacking-functions).     - when a function is included, Discover will group by any tags or fields     - example: `field=count_if(transaction.duration,greater,300)` - An equation when prefixed with `equation|`. Read more about [equations here](/product/discover-queries/query-builder/query-equations/).     - example: `field=equation|count_if(transaction.duration,greater,300) / count() * 100`"
      },
      "interval": {
        "type": [
          "string",
          "null"
        ],
        "description": "Resolution of the time series."
      },
      "name": {
        "type": "string",
        "description": "The user-defined saved query name."
      },
      "orderby": {
        "type": [
          "string",
          "null"
        ],
        "description": "How to order the query results. Must be something in the `field` list, excluding equations."
      },
      "projects": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "The saved projects filter for this query."
      },
      "query": {
        "type": [
          "string",
          "null"
        ],
        "description": "Filters results by using [query syntax](/product/sentry-basics/search/)."
      },
      "queryDataset": {
        "type": "string",
        "description": "The dataset you would like to query. Note: `discover` is a **deprecated** value. The allowed values are: `error-events`, `transaction-like`  * `discover` * `error-events` * `transaction-like`",
        "enum": [
          "discover",
          "error-events",
          "transaction-like"
        ]
      },
      "range": {
        "type": [
          "string",
          "null"
        ],
        "description": "The saved time range period for this saved query."
      },
      "start": {
        "type": [
          "string",
          "null"
        ],
        "description": "The saved start time for this saved query."
      },
      "topEvents": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Number of top events' timeseries to be visualized."
      },
      "yAxis": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Aggregate functions to be plotted on the chart."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "query_id",
      "name"
    ]
  }
  ```
</Expandable>

***

## sentry\_issues\_list\_a\_project\_s\_error\_events

Return a list of events bound to a project.

**Parameters:**

| Parameter                 | Type    | Required | Default | Description                                                                                                                                                                                                                                                            |
| ------------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string  | Yes      | —       | The ID or slug of the organization the resource belongs to.                                                                                                                                                                                                            |
| `project_id_or_slug`      | string  | Yes      | —       | The ID or slug of the project the resource belongs to.                                                                                                                                                                                                                 |
| `statsPeriod`             | string  | No       | —       | The period of time for the query, will override the start & end parameters, a number followed by one of: - `d` for days - `h` for hours - `m` for minutes - `s` for seconds - `w` for weeks  For example, `24h`, to mean query data starting from 24 hours ago to now. |
| `start`                   | string  | No       | —       | The start of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`.                                                                                                                                                   |
| `end`                     | string  | No       | —       | The end of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`.                                                                                                                                                     |
| `cursor`                  | string  | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.                                                                                                                                                                |
| `full`                    | boolean | No       | —       | Specify true to include the full event body, including the stacktrace, in the event payload.                                                                                                                                                                           |
| `sample`                  | boolean | No       | —       | Return events in pseudo-random order. This is deterministic so an identical query will always return the same events in the same order.                                                                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "project_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the project the resource belongs to."
      },
      "statsPeriod": {
        "type": "string",
        "description": "The period of time for the query, will override the start & end parameters, a number followed by one of: - `d` for days - `h` for hours - `m` for minutes - `s` for seconds - `w` for weeks  For example, `24h`, to mean query data starting from 24 hours ago to now."
      },
      "start": {
        "type": "string",
        "description": "The start of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`."
      },
      "end": {
        "type": "string",
        "description": "The end of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`."
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      },
      "full": {
        "type": "boolean",
        "description": "Specify true to include the full event body, including the stacktrace, in the event payload."
      },
      "sample": {
        "type": "boolean",
        "description": "Return events in pseudo-random order. This is deterministic so an identical query will always return the same events in the same order."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "project_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_issues\_list\_a\_tag\_s\_values\_for\_an\_issue

Returns a list of values associated with this key for an issue. Returns at most 1000 values when paginated.

**Parameters:**

| Parameter                 | Type      | Required | Default | Description                                                                                     |
| ------------------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------- |
| `issue_id`                | integer   | Yes      | —       | The ID of the issue you'd like to query.                                                        |
| `organization_id_or_slug` | string    | Yes      | —       | The ID or slug of the organization the resource belongs to.                                     |
| `key`                     | string    | Yes      | —       | The tag key to look the values up for.                                                          |
| `sort`                    | string    | No       | —       | Sort order of the resulting tag values. Prefix with '-' for descending order. Default is '-id'. |
| `environment`             | string\[] | No       | —       | The name of environments to filter by.                                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "issue_id": {
        "type": "integer",
        "description": "The ID of the issue you'd like to query."
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "key": {
        "type": "string",
        "description": "The tag key to look the values up for."
      },
      "sort": {
        "type": "string",
        "description": "Sort order of the resulting tag values. Prefix with '-' for descending order. Default is '-id'.",
        "enum": [
          "age",
          "count",
          "date",
          "id"
        ]
      },
      "environment": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The name of environments to filter by."
      }
    },
    "required": [
      "PCID",
      "issue_id",
      "organization_id_or_slug",
      "key"
    ]
  }
  ```
</Expandable>

***

## sentry\_issues\_list\_an\_issue\_s\_events

Return a list of error events bound to an issue

**Parameters:**

| Parameter                 | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                               |
| ------------------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string    | Yes      | —       | The ID or slug of the organization the resource belongs to.                                                                                                                                                                                                                                                                               |
| `issue_id`                | integer   | Yes      | —       | The ID of the issue you'd like to query.                                                                                                                                                                                                                                                                                                  |
| `start`                   | string    | No       | —       | The start of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`.                                                                                                                                                                                                                      |
| `end`                     | string    | No       | —       | The end of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`.                                                                                                                                                                                                                        |
| `statsPeriod`             | string    | No       | —       | The period of time for the query, will override the start & end parameters, a number followed by one of: - `d` for days - `h` for hours - `m` for minutes - `s` for seconds - `w` for weeks  For example, `24h`, to mean query data starting from 24 hours ago to now.                                                                    |
| `environment`             | string\[] | No       | —       | The name of environments to filter by.                                                                                                                                                                                                                                                                                                    |
| `full`                    | boolean   | No       | —       | Specify true to include the full event body, including the stacktrace, in the event payload.                                                                                                                                                                                                                                              |
| `sample`                  | boolean   | No       | —       | Return events in pseudo-random order. This is deterministic so an identical query will always return the same events in the same order.                                                                                                                                                                                                   |
| `query`                   | string    | No       | —       | An optional search query for filtering events. See [search syntax](https://docs.sentry.io/concepts/search/) and queryable event properties at [Sentry Search Documentation](https://docs.sentry.io/concepts/search/searchable-properties/events/) for more information. An example query might be `query=transaction:foo AND release:abc` |
| `cursor`                  | string    | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.                                                                                                                                                                                                                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "issue_id": {
        "type": "integer",
        "description": "The ID of the issue you'd like to query."
      },
      "start": {
        "type": "string",
        "description": "The start of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`."
      },
      "end": {
        "type": "string",
        "description": "The end of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`."
      },
      "statsPeriod": {
        "type": "string",
        "description": "The period of time for the query, will override the start & end parameters, a number followed by one of: - `d` for days - `h` for hours - `m` for minutes - `s` for seconds - `w` for weeks  For example, `24h`, to mean query data starting from 24 hours ago to now."
      },
      "environment": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The name of environments to filter by."
      },
      "full": {
        "type": "boolean",
        "description": "Specify true to include the full event body, including the stacktrace, in the event payload."
      },
      "sample": {
        "type": "boolean",
        "description": "Return events in pseudo-random order. This is deterministic so an identical query will always return the same events in the same order."
      },
      "query": {
        "type": "string",
        "description": "An optional search query for filtering events. See [search syntax](https://docs.sentry.io/concepts/search/) and queryable event properties at [Sentry Search Documentation](https://docs.sentry.io/concepts/search/searchable-properties/events/) for more information. An example query might be `query=transaction:foo AND release:abc`"
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "issue_id"
    ]
  }
  ```
</Expandable>

***

## sentry\_issues\_list\_an\_issue\_s\_hashes

This endpoint lists an issue's hashes, which are the generated checksums used to aggregate individual events.

**Parameters:**

| Parameter                 | Type    | Required | Default | Description                                                                                                               |
| ------------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string  | Yes      | —       | The ID or slug of the organization the event belongs to.                                                                  |
| `issue_id`                | string  | Yes      | —       | The ID of the issue to retrieve.                                                                                          |
| `full`                    | boolean | No       | —       | If this is set to true, the event payload will include the full event body, including the stacktrace. Set to 1 to enable. |
| `cursor`                  | string  | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the event belongs to."
      },
      "issue_id": {
        "type": "string",
        "description": "The ID of the issue to retrieve."
      },
      "full": {
        "type": "boolean",
        "description": "If this is set to true, the event payload will include the full event body, including the stacktrace. Set to 1 to enable."
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug",
      "issue_id"
    ]
  }
  ```
</Expandable>

***

## sentry\_issues\_list\_an\_organization\_s\_discover\_saved\_queries

Retrieve a list of saved queries that are associated with the given organization.

**Parameters:**

| Parameter                 | Type    | Required | Default | Description                                                                                                                                                                                               |
| ------------------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string  | Yes      | —       | The ID or slug of the organization the resource belongs to.                                                                                                                                               |
| `per_page`                | integer | No       | —       | Limit the number of rows to return in the result. Default and maximum allowed is 100.                                                                                                                     |
| `cursor`                  | string  | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.                                                                                                   |
| `query`                   | string  | No       | —       | The name of the Discover query you'd like to filter by.                                                                                                                                                   |
| `sortBy`                  | string  | No       | —       | The property to sort results by. If not specified, the results are sorted by query name.  Available fields are: - `name` - `dateCreated` - `dateUpdated` - `mostPopular` - `recentlyViewed` - `myqueries` |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "per_page": {
        "type": "integer",
        "description": "Limit the number of rows to return in the result. Default and maximum allowed is 100."
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      },
      "query": {
        "type": "string",
        "description": "The name of the Discover query you'd like to filter by."
      },
      "sortBy": {
        "type": "string",
        "description": "The property to sort results by. If not specified, the results are sorted by query name.  Available fields are: - `name` - `dateCreated` - `dateUpdated` - `mostPopular` - `recentlyViewed` - `myqueries`"
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_issues\_list\_an\_organization\_s\_issues

Return a list of issues for an organization. All parameters are supplied as query string parameters. A default query of `is:unresolved` is applied. To return all results, use an empty query value (i.e. \`\`?query=\`).

**Parameters:**

| Parameter                 | Type       | Required | Default | Description                                                                                                                                                                                                                                                            |
| ------------------------- | ---------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `organization_id_or_slug` | string     | Yes      | —       | The ID or slug of the organization the resource belongs to.                                                                                                                                                                                                            |
| `environment`             | string\[]  | No       | —       | The name of environments to filter by.                                                                                                                                                                                                                                 |
| `project`                 | integer\[] | No       | —       | The IDs of projects to filter by. `-1` means all available projects. For example, the following are valid parameters: - `/?project=1234&project=56789` - `/?project=-1`                                                                                                |
| `statsPeriod`             | string     | No       | —       | The period of time for the query, will override the start & end parameters, a number followed by one of: - `d` for days - `h` for hours - `m` for minutes - `s` for seconds - `w` for weeks  For example, `24h`, to mean query data starting from 24 hours ago to now. |
| `start`                   | string     | No       | —       | The start of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`.                                                                                                                                                   |
| `end`                     | string     | No       | —       | The end of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`.                                                                                                                                                     |
| `groupStatsPeriod`        | string     | No       | —       | The timeline on which stats for the groups should be presented.                                                                                                                                                                                                        |
| `shortIdLookup`           | string     | No       | —       | If this is set to `1` then the query will be parsed for issue short IDs. These may ignore other filters (e.g. projects), which is why it is an opt-in.                                                                                                                 |
| `query`                   | string     | No       | —       | An optional search query for filtering issues. A default query will apply if no view/query is set. For all results use this parameter with an empty string.                                                                                                            |
| `viewId`                  | string     | No       | —       | The ID of the view to use. If no query is present, the view's query and filters will be applied.                                                                                                                                                                       |
| `sort`                    | string     | No       | —       | The sort order of the view. Options include 'Last Seen' (`date`), 'First Seen' (`new`), 'Trends' (`trends`), 'Events' (`freq`), 'Users' (`user`), and 'Date Added' (`inbox`).                                                                                          |
| `limit`                   | integer    | No       | —       | The maximum number of issues to affect. The maximum is 100.                                                                                                                                                                                                            |
| `expand`                  | string\[]  | No       | —       | Additional data to include in the response.                                                                                                                                                                                                                            |
| `collapse`                | string\[]  | No       | —       | Fields to remove from the response to improve query performance.                                                                                                                                                                                                       |
| `cursor`                  | string     | No       | —       | A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.                                                                                                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id_or_slug": {
        "type": "string",
        "description": "The ID or slug of the organization the resource belongs to."
      },
      "environment": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The name of environments to filter by."
      },
      "project": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "The IDs of projects to filter by. `-1` means all available projects. For example, the following are valid parameters: - `/?project=1234&project=56789` - `/?project=-1`"
      },
      "statsPeriod": {
        "type": "string",
        "description": "The period of time for the query, will override the start & end parameters, a number followed by one of: - `d` for days - `h` for hours - `m` for minutes - `s` for seconds - `w` for weeks  For example, `24h`, to mean query data starting from 24 hours ago to now."
      },
      "start": {
        "type": "string",
        "description": "The start of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`."
      },
      "end": {
        "type": "string",
        "description": "The end of the period of time for the query, expected in ISO-8601 format. For example, `2001-12-14T12:34:56.7890`."
      },
      "groupStatsPeriod": {
        "type": "string",
        "description": "The timeline on which stats for the groups should be presented.",
        "enum": [
          "",
          "14d",
          "24h",
          "auto"
        ]
      },
      "shortIdLookup": {
        "type": "string",
        "description": "If this is set to `1` then the query will be parsed for issue short IDs. These may ignore other filters (e.g. projects), which is why it is an opt-in.",
        "enum": [
          "0",
          "1"
        ]
      },
      "query": {
        "type": "string",
        "description": "An optional search query for filtering issues. A default query will apply if no view/query is set. For all results use this parameter with an empty string."
      },
      "viewId": {
        "type": "string",
        "description": "The ID of the view to use. If no query is present, the view's query and filters will be applied."
      },
      "sort": {
        "type": "string",
        "description": "The sort order of the view. Options include 'Last Seen' (`date`), 'First Seen' (`new`), 'Trends' (`trends`), 'Events' (`freq`), 'Users' (`user`), and 'Date Added' (`inbox`).",
        "enum": [
          "date",
          "freq",
          "inbox",
          "new",
          "trends",
          "user"
        ]
      },
      "limit": {
        "type": "integer",
        "description": "The maximum number of issues to affect. The maximum is 100."
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "inbox",
            "integrationIssues",
            "latestEventHasAttachments",
            "owners",
            "pluginActions",
            "pluginIssues",
            "sentryAppIssues",
            "sessions"
          ]
        },
        "description": "Additional data to include in the response."
      },
      "collapse": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "base",
            "filtered",
            "lifetime",
            "stats",
            "unhandled"
          ]
        },
        "description": "Fields to remove from the response to improve query performance."
      },
      "cursor": {
        "type": "string",
        "description": "A pointer to the last object fetched and its sort order; used to retrieve the next or previous results."
      }
    },
    "required": [
      "PCID",
      "organization_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## sentry\_issues\_list\_seer\_ai\_models

Get list of actively used LLM model names from Seer.  Returns the list of AI models that are currently used in production in Seer. This endpoint does not require authentication and can be used to discover which models Seer uses.  Requests to this endpoint should use the region-specific domain eg. `us.sentry.io` or `de.sentry.io`

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## sentry\_issues\_query\_explore\_events\_in\_table\_format

Retrieves explore data for a given organization.  **Note**: This endpoint is intended to get a table of results, and is not for doing a full export of data sent to Sentry.  The `field` query parameter determines what fields will be selected in the `data` and `meta` keys of the endpoint response. - The `data` key contains a list of results row by row that match the `query` made - The `meta` key contains information about the response, including the unit or type of the fields requested

**Parameters:**

| Parameter                 | Type       | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
[...]
